STEGOSUITE-EXTRACT(1)

NAME
stegosuite-extract - Extracts data from image

SYNOPSIS

stegosuite extract [-d] (-k=<key> | --keyfile=<keyfile>) <image>

DESCRIPTION

This command extracts data from an image file using the provided key. It will only work, if stegosuite was used to embed data into the image file and if the key is identical to the one used during embedding.

OPTIONS

-k, --key=<key>
    The secret key used for encryption and hiding.

--keyfile=<keyfile>
    Path to a file which contains the secret key. Reads its first line.

-d, --debug
    Shows debug information.

ARGUMENTS

<image>
    Path to the image file to process.

EXAMPLE

stegosuite extract -k my_secret_key /path/to/image_file.png

EXIT CODES:

0
    Successful program execution

1
    Internal software error: An exception occurred when invoking the business logic of this command.

2
    Usage error: User input for the command was incorrect, e.g., the wrong number of arguments.